CREATE TABLE `ITscope_AttributeCluster`
(
    `id`                     BIGINT(20) NOT NULL,
    `productTypeId`          BIGINT(20)               DEFAULT NULL,
    `productTypeName`        VARCHAR(255)
                                 CHARACTER SET latin1 DEFAULT NULL,
    `attributeTypeName`      VARCHAR(255)
                                 CHARACTER SET latin1 DEFAULT NULL,
    `attributeTypeGroupName` VARCHAR(255)
                                 CHARACTER SET latin1 DEFAULT NULL,
    `name`                   VARCHAR(255)
                                 CHARACTER SET latin1 DEFAULT NULL,
    `rank`                   INT(11)                  DEFAULT NULL,
    PRIMARY KEY (`id`)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = latin1;


CREATE TABLE `ITscope_Product`
(
    `puid`                      BIGINT(20)    NOT NULL,
    `ean`                       VARCHAR(18)   DEFAULT NULL,
    `manufacturerSKU`           VARCHAR(150)  DEFAULT NULL,
    `icecatId`                  VARCHAR(255)  DEFAULT NULL,
    `cnetId`                    VARCHAR(255)  DEFAULT NULL,
    `bechlemId`                 VARCHAR(255)  DEFAULT NULL,
    `eClass`                    VARCHAR(255)  DEFAULT NULL,
    `eClassV7`                  VARCHAR(255)  DEFAULT NULL,
    `customsTariffNumber`       VARCHAR(255)  DEFAULT NULL,
    `UNSPSC`                    VARCHAR(255)  DEFAULT NULL,
    `manufacturerId`            BIGINT(20)    NOT NULL,
    `manufacturerName`          VARCHAR(80)   DEFAULT NULL,
    `productName`               VARCHAR(2000) NOT NULL,
    `shortDescription`          TEXT          DEFAULT NULL,
    `longDescription`           TEXT          DEFAULT NULL,
    `productTypeId`             BIGINT(20)    NOT NULL,
    `productTypeGroupId`        VARCHAR(3)    NOT NULL,
    `productTypeGroupName`      VARCHAR(255)  NOT NULL,
    `productTypeName`           VARCHAR(255)  NOT NULL,
    `attributeTypeId1`          BIGINT(20)    DEFAULT NULL,
    `attributeTypeName1`        VARCHAR(255)  DEFAULT NULL,
    `attributeTypeId2`          BIGINT(20)    DEFAULT NULL,
    `attributeTypeName2`        VARCHAR(255)  DEFAULT NULL,
    `attributeTypeId3`          BIGINT(20)    DEFAULT NULL,
    `attributeTypeName3`        VARCHAR(255)  DEFAULT NULL,
    `attributeTypeId4`          BIGINT(20)    DEFAULT NULL,
    `attributeTypeName4`        VARCHAR(255)  DEFAULT NULL,
    `attributeTypeId5`          BIGINT(20)    DEFAULT NULL,
    `attributeTypeName5`        VARCHAR(255)  DEFAULT NULL,
    `attributeValue1`           VARCHAR(1024) DEFAULT NULL,
    `attributeValue2`           VARCHAR(1024) DEFAULT NULL,
    `attributeValue3`           VARCHAR(1024) DEFAULT NULL,
    `attributeValue4`           VARCHAR(1024) DEFAULT NULL,
    `attributeValue5`           VARCHAR(1024) DEFAULT NULL,
    `productSubTypeId`          VARCHAR(1024) DEFAULT NULL,
    `productSubType`            VARCHAR(1024) DEFAULT NULL,
    `productLineId`             BIGINT(20)    DEFAULT NULL,
    `productLine`               VARCHAR(1024) DEFAULT NULL,
    `productModel`              VARCHAR(1024) DEFAULT NULL,
    `colorFamilyId`             VARCHAR(255)  DEFAULT NULL,
    `colorFamily`               VARCHAR(255)  DEFAULT NULL,
    `estimateGrossWeight`       DOUBLE        DEFAULT NULL,
    `grossDimX`                 VARCHAR(1024) DEFAULT NULL,
    `grossDimY`                 VARCHAR(1024) DEFAULT NULL,
    `grossDimZ`                 VARCHAR(1024) DEFAULT NULL,
    `combinedLengthAndGirth`    VARCHAR(36)   DEFAULT NULL,
    `netWeight`                 VARCHAR(36)   DEFAULT NULL,
    `netDimX`                   VARCHAR(36)   DEFAULT NULL,
    `netDimY`                   VARCHAR(36)   DEFAULT NULL,
    `netDimZ`                   VARCHAR(36)   DEFAULT NULL,
    `valueAddedTaxGermany`      INT(11)       DEFAULT NULL,
    `deeplink`                  VARCHAR(2048) NOT NULL,
    `standardHtmlDatasheet`     VARCHAR(2048) NOT NULL,
    `standardPdfDatasheet`      VARCHAR(2048) DEFAULT NULL,
    `manufacturerSite`          VARCHAR(1024) DEFAULT NULL,
    `manufacturerDatasheet`     VARCHAR(1024) DEFAULT NULL,
    `imageThumb`                VARCHAR(1024) DEFAULT NULL,
    `imageThumbWidth`           INT(11)       DEFAULT NULL,
    `imageThumbHeight`          INT(11)       DEFAULT NULL,
    `image1`                    VARCHAR(1024) DEFAULT NULL,
    `imageWidth1`               INT(11)       DEFAULT NULL,
    `imageHeight1`              INT(11)       DEFAULT NULL,
    `image2`                    VARCHAR(1024) DEFAULT NULL,
    `imageWidth2`               INT(11)       DEFAULT NULL,
    `imageHeight2`              INT(11)       DEFAULT NULL,
    `image3`                    VARCHAR(1024) DEFAULT NULL,
    `imageWidth3`               INT(11)       DEFAULT NULL,
    `imageHeight3`              INT(11)       DEFAULT NULL,
    `image4`                    VARCHAR(1024) DEFAULT NULL,
    `imageWidth4`               INT(11)       DEFAULT NULL,
    `imageHeight4`              INT(11)       DEFAULT NULL,
    `image5`                    VARCHAR(1024) DEFAULT NULL,
    `imageWidth5`               INT(11)       DEFAULT NULL,
    `imageHeight5`              INT(11)       DEFAULT NULL,
    `energyLabel`               VARCHAR(1024) DEFAULT NULL,
    `energyEfficiencyClass`     VARCHAR(10)   DEFAULT NULL,
    `entryDate`                 DATETIME      NOT NULL,
    `rank`                      INT(11)       DEFAULT NULL,
    `qualification`             INT(11)       DEFAULT NULL,
    `warrantyText`              TEXT          DEFAULT NULL,
    `marketingText`             TEXT          DEFAULT NULL,
    `keySellingPoints`          TEXT          DEFAULT NULL,
    `packageContents`           TEXT          DEFAULT NULL,
    `productFeatures`           TEXT          DEFAULT NULL,
    `htmlMainSpecs`             TEXT          DEFAULT NULL,
    `htmlSpecs`                 TEXT          DEFAULT NULL,
    `recommendedRetailPriceNet` DOUBLE        DEFAULT NULL,
    `price`                     DOUBLE        DEFAULT NULL,
    `priceCalc`                 DOUBLE        DEFAULT NULL,
    `currencyCode`              VARCHAR(3)    DEFAULT NULL,
    `priceCalcVat`              DOUBLE        DEFAULT NULL,
    `priceLastUpdate`           DATETIME      DEFAULT NULL,
    `priceSupplierId`           BIGINT(20)    DEFAULT NULL,
    `priceSupplierName`         VARCHAR(255)  DEFAULT NULL,
    `priceSupplierItemId`       BIGINT(20)    DEFAULT NULL,
    `priceSupplierSKU`          VARCHAR(150)  DEFAULT NULL,
    `stockSupplierText`         VARCHAR(40)   DEFAULT NULL,
    `stockStatus`               INT(11)       DEFAULT NULL,
    `stockStatusText`           VARCHAR(255)  DEFAULT NULL,
    `stock`                     INT(11)       DEFAULT NULL,
    `externalStock`             INT(11)       DEFAULT NULL,
    `incomingStock`             INT(11)       DEFAULT NULL,
    `stockAvailabilityDate`     DATETIME      DEFAULT NULL,
    `stockLastUpdate`           DATETIME      DEFAULT NULL,
    `aggregatedStatus`          INT(11)       NOT NULL,
    `aggregatedStatusText`      VARCHAR(255)  NOT NULL,
    `aggregatedStock`           INT(11)       NOT NULL,
    `aggregatedSupplierItems`   INT(11)       NOT NULL,
    `contractTypeId`            INT(11)       NOT NULL,
    `contractTypeName`          VARCHAR(255)  NOT NULL,
    `priceBillingPeriod`        INT(11)       DEFAULT NULL,
    `priceBillingPeriodUnit`    VARCHAR(40)   DEFAULT NULL,
    `priceSubscriptionPeriod`   INT(11)       DEFAULT NULL,
    `priceSubscriptionPeriodUnit` VARCHAR(40) DEFAULT NULL,
    PRIMARY KEY (`puid`)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = latin1;

CREATE TABLE `ITscope_Products2Cluster`
(
    `productRefId`          BIGINT(20) NOT NULL,
    `attributeClusterRefId` BIGINT(20) NOT NULL,
    PRIMARY KEY (`productRefId`, `attributeClusterRefId`),
    KEY `xref_cluster` (`attributeClusterRefId`),
    CONSTRAINT `xref_cluster` FOREIGN KEY (`attributeClusterRefId`) REFERENCES `ITscope_AttributeCluster` (`id`),
    CONSTRAINT `xref_product` FOREIGN KEY (`productRefId`) REFERENCES `ITscope_Product` (`puid`)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = latin1;

CREATE TABLE `ITscope_Accessory`
(
    `productId`           BIGINT(20) NOT NULL,
    `referencedProductId` BIGINT(20) NOT NULL,
    `typeId`              INT(11)      DEFAULT NULL,
    `type`                VARCHAR(255) DEFAULT NULL,
    PRIMARY KEY (`productId`, `referencedProductId`, `typeId`),
    KEY `rc_product` (`productId`),
    CONSTRAINT `rc_product` FOREIGN KEY (`productId`) REFERENCES `ITscope_Product` (`puid`)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = latin1;

CREATE TABLE `ITscope_SupplierItem`
(
    `id`                        BIGINT(20)   NOT NULL,
    `productId`                 BIGINT(20)   NOT NULL,
    `ean`                       VARCHAR(18)   DEFAULT NULL,
    `manufacturerSKU`           VARCHAR(150)  DEFAULT NULL,
    `supplierSKU`               VARCHAR(150)  DEFAULT NULL,
    `supplierId`                BIGINT(20)   NOT NULL,
    `supplierName`              VARCHAR(255)  DEFAULT NULL,
    `manufacturerName`          VARCHAR(80)   DEFAULT NULL,
    `productName`               VARCHAR(255)  DEFAULT NULL,
    `longDescription`           TEXT          DEFAULT NULL,
    `conditionId`               INT(11)      NOT NULL,
    `conditionName`             VARCHAR(255) NOT NULL,
    `eolProduct`                VARCHAR(5)   NOT NULL,
    `matchQuality`              INT(11)      NOT NULL,
    `eanValid`                  VARCHAR(5)   NOT NULL,
    `specialOffer`              VARCHAR(5)   NOT NULL,
    `promotion`                 VARCHAR(40)   DEFAULT NULL,
    `vat`                       INT(11)       DEFAULT NULL,
    `copyrightLevy`             DOUBLE        DEFAULT NULL,
    `customsTariffNumber`       VARCHAR(50)   DEFAULT NULL,
    `countryOfOrigin`           VARCHAR(20)   DEFAULT NULL,
    `grossDimX`                 DOUBLE        DEFAULT NULL,
    `grossDimY`                 DOUBLE        DEFAULT NULL,
    `grossDimZ`                 DOUBLE        DEFAULT NULL,
    `warrantyText`              VARCHAR(40)   DEFAULT NULL,
    `deeplink`                  VARCHAR(1024) DEFAULT NULL,
    `recommendedRetailPriceNet` DOUBLE        DEFAULT NULL,
    `price`                     DOUBLE       NOT NULL,
    `priceCalc`                 DOUBLE       NOT NULL,
    `currencyCode`              VARCHAR(3)   NOT NULL,
    `priceCalcVat`              VARCHAR(3)   NOT NULL,
    `priceLastUpdate`           DATETIME     NOT NULL,
    `stockSupplierText`         VARCHAR(1024) DEFAULT NULL,
    `stockStatus`               INT(11)       DEFAULT NULL,
    `stockStatusText`           VARCHAR(255)  DEFAULT NULL,
    `stock`                     INT(11)       DEFAULT NULL,
    `externalStock`             INT(11)       DEFAULT NULL,
    `incomingStock`             INT(11)       DEFAULT NULL,
    `stockAvailabilityDate`     DATETIME      DEFAULT NULL,
    `lastStockUpdate`           DATETIME      DEFAULT NULL,
    `contractTypeId`            INT(11)      NOT NULL,
    `contractTypeName`          VARCHAR(20)  NOT NULL,
    `priceBillingPeriod`        INT(11)       DEFAULT NULL,
    `priceBillingPeriodUnit`    VARCHAR(40)   DEFAULT NULL,
    `priceSubscriptionPeriod`   INT(11)       DEFAULT NULL,
    `priceSubscriptionPeriodUnit` VARCHAR(40) DEFAULT NULL,
    PRIMARY KEY (`productId`, `id`)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = latin1;

ALTER TABLE ITscope_SupplierItem
    ADD INDEX (id);

CREATE TABLE `ITscope_Attribute`
(
    `prodRefId`              BIGINT(20) NOT NULL,
    `value`                  VARCHAR(1024) DEFAULT NULL,
    `displayValue`           VARCHAR(1024) DEFAULT NULL,
    `attributeTypeId`        BIGINT(20) NOT NULL,
    `attributeTypeName`      VARCHAR(255)  DEFAULT NULL,
    `attributeTypeRank`      BIGINT(20)    DEFAULT NULL,
    `attributeTypeGroupId`   INT(11)       DEFAULT NULL,
    `attributeTypeGroupName` VARCHAR(255)  DEFAULT NULL,
    PRIMARY KEY (`prodRefId`, `attributeTypeId`),
    KEY `at_product` (`prodRefId`),
    CONSTRAINT `at_product` FOREIGN KEY (`prodRefId`) REFERENCES `ITscope_Product` (`puid`)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = latin1;

CREATE TABLE `ITscope_Project`
(
    `projectSupplierItemId` BIGINT(20)  NOT NULL,
    `supplierProjectId`     VARCHAR(40) NOT NULL,
    `manufacturerProjectId` VARCHAR(40) NOT NULL,
    `projectName`           VARCHAR(40)  DEFAULT NULL,
    `endCustomer`           VARCHAR(40) NOT NULL,
    `price`                 DOUBLE      NOT NULL,
    `validFrom`             DATETIME     DEFAULT NULL,
    `validTo`               DATETIME     DEFAULT NULL,
    `targetQuantity`        INT(8)       DEFAULT NULL,
    `remainingQuantity`     INT(8)       DEFAULT NULL,
    `minQuantity`           INT(8)       DEFAULT NULL,
    `projectLastUpdate`     DATETIME     DEFAULT NULL,
    `projectBundleId`       VARCHAR(50)  DEFAULT NULL,
    `projectBundleName`     VARCHAR(255) DEFAULT NULL,
    `projectPosition`       INT(8)       DEFAULT NULL,

    PRIMARY KEY (`projectSupplierItemId`, `manufacturerProjectId`, `projectBundleId`, `projectPosition`),
    KEY `pr_supplItem` (`projectSupplierItemId`),
    CONSTRAINT `pr_supplItem` FOREIGN KEY (`projectSupplierItemId`) REFERENCES `ITscope_SupplierItem` (`id`)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = latin1;

CREATE TABLE `ITscope_ContractParameter`
(
    `supplierItemRefId`  BIGINT(20)   NOT NULL,
    `displayName`        VARCHAR(255) NOT NULL,
    `orderParameterName` VARCHAR(255) NOT NULL,
    `mandatory`          VARCHAR(5)   NOT NULL,
    `example`            VARCHAR(255) DEFAULT NULL,

    PRIMARY KEY (`supplierItemRefId`, `orderParameterName`),
    KEY `cp_supplItem` (`supplierItemRefId`),
    CONSTRAINT `cp_supplItem` FOREIGN KEY (`supplierItemRefId`) REFERENCES `ITscope_SupplierItem` (`id`)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = latin1;

SET FOREIGN_KEY_CHECKS = 0;
TRUNCATE ITscope_AttributeCluster;
TRUNCATE ITscope_Product;
TRUNCATE ITscope_Products2Cluster;
TRUNCATE ITscope_Accessory;
TRUNCATE ITscope_SupplierItem;
TRUNCATE ITscope_Attribute;
TRUNCATE ITscope_Project;
TRUNCATE ITscope_ContractParameter;
SET FOREIGN_KEY_CHECKS = 1;